import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Content,
  Pane,
  Button,
  theme
} from '../components'
const { minorScale, majorScale } = theme

export default function buttonStory (module) {
  storiesOf('Button', module)
    .add('usage', () => (
      <App>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
{`
# Button

The Button component . Implements \`<Box />\`.

\`\`\`
<Button marginRight={majorScale(1)}>Default Button</Button>
<Button primary marginRight={majorScale(1)}>Primary Button</Button>
<Button danger marginRight={majorScale(1)}>Danger Button</Button>
\`\`\`
`}
          </Content>
          <Button marginRight={majorScale(1)}>Default Button</Button>
          <Button primary marginRight={majorScale(1)}>Primary Button</Button>
          <Button danger marginRight={majorScale(1)}>Danger Button</Button>
          <Content markdown>
{`
prop | type | description
-----|------| -------
\`secondary (default)\`| boolean | renders a secondary button, used by default
\`primary\`| boolean | renders a green primary button
\`danger\`| boolean | renders a pinkish button

`}
          </Content>
        </Pane>
      </App>
    ))
    .add('overview', () => (
      <App>
        <Box padding={majorScale(2)}>
          <Button marginRight={majorScale(1)}>Default Button</Button>
          <Button primary marginRight={majorScale(1)}>Primary Button</Button>
          <Button danger marginRight={majorScale(1)}>Danger Button</Button>
          <Button naked>Naked Button</Button>
        </Box>
      </App>
    ))
    .add('standalone', () => (
      <Button>Standalone</Button>
    ))
}
